%define module  urllib3

Summary:        Python HTTP library with thread-safe connection pooling, file post, and more
Name:           python-%{module}
Version:        1.24.3
Release:        %mkrel 1
Source0:        https://pypi.io/packages/source/u/%{module}/%{module}-%{version}.tar.gz
Source1:        ssl_match_hostname_py3.py
License:        MIT
Group:          Development/Python
Url:            http://urllib3.readthedocs.org/
BuildArch:      noarch

BuildRequires:  pkgconfig(python2)
BuildRequires:  python-setuptools
Requires:       rootcerts
Requires:       python-six
Requires:       python-backports-ssl_match_hostname
# For unittests
BuildRequires:  python3-nose
BuildRequires:  python3-mock
BuildRequires:  python3-tornado
BuildRequires:  python-tornado
BuildRequires:  python-nose
BuildRequires:  python-mock
BuildRequires:  python-backports-ssl_match_hostname
BuildRequires:  python-six
BuildRequires:  python3-six

%description
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%package -n     python3-%{module}
Summary:        Python 3 HTTP library with thread-safe connection pooling, file post, and more
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       rootcerts
Requires:       python3-six

%description -n python3-%{module}
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%prep
%setup -q -n %{module}-%{version}

rm -rf test/with_dummyserver/

%autopatch -p1

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

rm -rf %{buildroot}%{python2_sitelib}/urllib3/packages/six.py*
rm -rf %{buildroot}%{python2_sitelib}/urllib3/packages/ssl_match_hostname/

mkdir -p %{buildroot}%{python2_sitelib}/urllib3/packages/
ln -s ../../six.py %{buildroot}%{python2_sitelib}/urllib3/packages/six.py
ln -s ../../six.pyc %{buildroot}%{python2_sitelib}/urllib3/packages/six.pyc
ln -s ../../six.pyo %{buildroot}%{python2_sitelib}/urllib3/packages/six.pyo
ln -s ../../backports/ssl_match_hostname %{buildroot}%{python2_sitelib}/urllib3/packages/ssl_match_hostname

# dummyserver is part of the unittest framework
rm -rf %{buildroot}%{python2_sitelib}/dummyserver

pushd %{py3dir}
%py3_install

%define shortversion  %(%{__python3} -c "import sys; print(sys.version[0]+sys.version[2])")

# dummyserver is part of the unittest framework
rm -rf %{buildroot}%{python3_sitelib}/dummyserver

rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/six.py
rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/__pycache__/six.cpython-35.opt-1.pyc 
rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/__pycache__/six.cpython-35.pyc
rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/ssl_match_hostname/

mkdir -p %{buildroot}%{python3_sitelib}/urllib3/packages/
ln -s ../../six.py %{buildroot}%{python3_sitelib}/urllib3/packages/six.py
cp %{SOURCE1} %{buildroot}%{python3_sitelib}/urllib3/packages/ssl_match_hostname.py

popd


%files
%doc CHANGES.rst README.rst CONTRIBUTORS.txt
%{python2_sitelib}/*

%files -n python3-%{module}
%doc CHANGES.rst README.rst CONTRIBUTORS.txt
%{python3_sitelib}/*


%changelog
* Mon Aug 12 2019 shlomif <shlomif> 1.24.3-1.mga6
+ Revision: 1428869
- New version 1.24.3 - security fix for MGA#23880

* Wed Nov 02 2016 philippem <philippem> 1.18.1-1.mga6
+ Revision: 1064732
- update to 1.18.1, fix CVE-2016-9015, mga#19667

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.17-2.mga6
+ Revision: 1051358
- revert cp six that is not reverted since we do not have a check section

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.17-1.mga6
+ Revision: 1051310
- 1.17
- sync from spec fixes from fedora

* Tue May 03 2016 philippem <philippem> 1.15.1-1.mga6
+ Revision: 1009018
- update to 1.15.1

* Sun Feb 07 2016 philippem <philippem> 1.13.1-3.mga6
+ Revision: 942201
- fix dangling mga#17677 mga#17699

* Thu Feb 04 2016 philippem <philippem> 1.13.1-2.mga6
+ Revision: 936139
- fix danglin mga#17677

* Mon Dec 21 2015 daviddavid <daviddavid> 1.13.1-1.mga6
+ Revision: 913228
- new version: 1.13.1

* Tue Dec 15 2015 daviddavid <daviddavid> 1.13-1.mga6
+ Revision: 910641
- new version: 1.13

* Wed Oct 07 2015 philippem <philippem> 1.10.4-4.mga6
+ Revision: 887081
- rebuild for Python3.5
+ tv <tv>
- rebuild for python 3.5
- rebuild for python 3.5

* Mon Jul 20 2015 philippem <philippem> 1.10.4-1.mga6
+ Revision: 855810
- update to 1.10.4

* Wed Oct 15 2014 umeabot <umeabot> 1.9-5.mga5
+ Revision: 746753
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.9-4.mga5
+ Revision: 729957
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.9-3.mga5
+ Revision: 688404
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 ovitters <ovitters> 1.9-2.mga5
+ Revision: 655293
- really fix unbundling patch

* Mon Jul 21 2014 philippem <philippem> 1.9-1.mga5
+ Revision: 655269
- update to 1.9, add tests

* Mon Jul 21 2014 philippem <philippem> 1.8.3-2.mga5
+ Revision: 655034
- add missing requires

* Mon Jul 14 2014 philippem <philippem> 1.8.3-1.mga5
+ Revision: 651886
- update to 1.8.3

* Sat May 31 2014 pterjan <pterjan> 1.8.2-2.mga5
+ Revision: 629081
- Rebuild for new Python

* Sat May 24 2014 philippem <philippem> 1.8.2-1.mga5
+ Revision: 625296
- update to 1.8.2

* Tue Oct 22 2013 umeabot <umeabot> 1.7.1-3.mga4
+ Revision: 544254
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.7.1-2.mga4
+ Revision: 499682
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 04 2013 nmartin <nmartin> 1.7.1-1.mga4
+ Revision: 491108
- Add correct unbundle patch which fixes also ssl import with Python 3
- update to new version 1.7.1

* Wed Aug 28 2013 philippem <philippem> 1.7-1.mga4
+ Revision: 472740
- update to 1.7, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 379657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 ovitters <ovitters> 1.4-1.mga3
+ Revision: 278165
- clean spec
- Import from Mandriva

